| 13388 | Set executable. |
| zmedico | |
| 13389 | Add dohard and doset helper which die for EAPI 3. TODO: Make |
| zmedico | the die helper use pipe or socket IPC instead of a signal, |
| | to avoid a potential race condition in signal delivery. |
| | Thanks to to Tiziano Müller <dev-zero@g.o> for the initial |
| | patch. |
| 13390 | Add dummy dosed and dohard functions for EAPI 3, so that a |
| zmedico | trace can be displayed (not possible with the helper |
| | binaries). |
| 13391 | Revert r13390 (dosed and dohard functions) since a stack |
| zmedico | trace isn't really important this particular QA feature. |
| | Thanks to Tiziano Müller <dev-zero@g.o> for the suggestion. |
svn path=/main/branches/prefix/; revision=13395
--- /dev/null
+#!/bin/bash
+# Copyright 2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+die "'${0##*/}' has been banned for EAPI '$EAPI'"
+exit 1
--- /dev/null
+../../banned-helper
\ No newline at end of file
--- /dev/null
+../../banned-helper
\ No newline at end of file
--- /dev/null
+#!/bin/bash
+# Copyright 2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# TODO: Eliminate race condition in signal delivery by using pipe or socket
+# IPC to guarantee that the ebuild process and all of its children (including
+# this helper) are killed immediately, ensuring that "false success" is
+# impossible.
+source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+die "$@"
+exit 1
return $retval
}
-# subshell die support
-EBUILD_MASTER_PID=$$
+# Subshell/helper die support (must export for the die helper).
+export EBUILD_MASTER_PID=$$
trap 'exit 1' SIGTERM
EBUILD_SH_ARGS="$*"